diff --git a/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c b/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
index c20876d..dcd01e6 100644
--- a/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
+++ b/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
@@ -10,7 +10,6 @@
 
 #include "Dhcp6Impl.h"
 
-
 /**
   Enqueue the packet into the retry list in case of timeout.
 
@@ -34,8 +33,8 @@ Dhcp6EnqueueRetry (
   IN EFI_DHCP6_RETRANSMISSION  *RetryCtl     OPTIONAL
   )
 {
-  DHCP6_TX_CB                  *TxCb;
-  DHCP6_IA_CB                  *IaCb;
+  DHCP6_TX_CB  *TxCb;
+  DHCP6_IA_CB  *IaCb;
 
   ASSERT (Packet != NULL);
 
@@ -55,156 +54,156 @@ Dhcp6EnqueueRetry (
   //
   // Save pointer to elapsed-time value so we can update it on retransmits.
   //
-  TxCb->Elapsed  = Elapsed;
+  TxCb->Elapsed = Elapsed;
 
   //
   // Calculate the retransmission according to the message type.
   //
   switch (Packet->Dhcp6.Header.MessageType) {
-  case Dhcp6MsgSolicit:
-    //
-    // Calculate the retransmission threshold value for solicit packet.
-    // Use the default value by rfc-3315 if user doesn't configure.
-    //
-    if (RetryCtl == NULL) {
-      TxCb->RetryCtl.Irt = DHCP6_SOL_IRT;
-      TxCb->RetryCtl.Mrc = DHCP6_SOL_MRC;
-      TxCb->RetryCtl.Mrt = DHCP6_SOL_MRT;
-      TxCb->RetryCtl.Mrd = DHCP6_SOL_MRD;
-    } else {
-      TxCb->RetryCtl.Irt = (RetryCtl->Irt != 0) ? RetryCtl->Irt : DHCP6_SOL_IRT;
-      TxCb->RetryCtl.Mrc = (RetryCtl->Mrc != 0) ? RetryCtl->Mrc : DHCP6_SOL_MRC;
-      TxCb->RetryCtl.Mrt = (RetryCtl->Mrt != 0) ? RetryCtl->Mrt : DHCP6_SOL_MRT;
-      TxCb->RetryCtl.Mrd = (RetryCtl->Mrd != 0) ? RetryCtl->Mrd : DHCP6_SOL_MRD;
-    }
+    case Dhcp6MsgSolicit:
+      //
+      // Calculate the retransmission threshold value for solicit packet.
+      // Use the default value by rfc-3315 if user doesn't configure.
+      //
+      if (RetryCtl == NULL) {
+        TxCb->RetryCtl.Irt = DHCP6_SOL_IRT;
+        TxCb->RetryCtl.Mrc = DHCP6_SOL_MRC;
+        TxCb->RetryCtl.Mrt = DHCP6_SOL_MRT;
+        TxCb->RetryCtl.Mrd = DHCP6_SOL_MRD;
+      } else {
+        TxCb->RetryCtl.Irt = (RetryCtl->Irt != 0) ? RetryCtl->Irt : DHCP6_SOL_IRT;
+        TxCb->RetryCtl.Mrc = (RetryCtl->Mrc != 0) ? RetryCtl->Mrc : DHCP6_SOL_MRC;
+        TxCb->RetryCtl.Mrt = (RetryCtl->Mrt != 0) ? RetryCtl->Mrt : DHCP6_SOL_MRT;
+        TxCb->RetryCtl.Mrd = (RetryCtl->Mrd != 0) ? RetryCtl->Mrd : DHCP6_SOL_MRD;
+      }
+
+      TxCb->RetryExp = Dhcp6CalculateExpireTime (
+                         TxCb->RetryCtl.Irt,
+                         TRUE,
+                         FALSE
+                         );
+      break;
 
-    TxCb->RetryExp       = Dhcp6CalculateExpireTime (
+    case Dhcp6MsgRequest:
+      //
+      // Calculate the retransmission threshold value for request packet.
+      //
+      TxCb->RetryCtl.Irt = DHCP6_REQ_IRT;
+      TxCb->RetryCtl.Mrc = DHCP6_REQ_MRC;
+      TxCb->RetryCtl.Mrt = DHCP6_REQ_MRT;
+      TxCb->RetryCtl.Mrd = DHCP6_REQ_MRD;
+      TxCb->RetryExp     = Dhcp6CalculateExpireTime (
                              TxCb->RetryCtl.Irt,
                              TRUE,
-                             FALSE
+                             TRUE
                              );
-    break;
-
-  case Dhcp6MsgRequest:
-    //
-    // Calculate the retransmission threshold value for request packet.
-    //
-    TxCb->RetryCtl.Irt = DHCP6_REQ_IRT;
-    TxCb->RetryCtl.Mrc = DHCP6_REQ_MRC;
-    TxCb->RetryCtl.Mrt = DHCP6_REQ_MRT;
-    TxCb->RetryCtl.Mrd = DHCP6_REQ_MRD;
-    TxCb->RetryExp     = Dhcp6CalculateExpireTime (
-                           TxCb->RetryCtl.Irt,
-                           TRUE,
-                           TRUE
-                           );
-    break;
-
-  case Dhcp6MsgConfirm:
-    //
-    // Calculate the retransmission threshold value for confirm packet.
-    //
-    TxCb->RetryCtl.Irt = DHCP6_CNF_IRT;
-    TxCb->RetryCtl.Mrc = DHCP6_CNF_MRC;
-    TxCb->RetryCtl.Mrt = DHCP6_CNF_MRT;
-    TxCb->RetryCtl.Mrd = DHCP6_CNF_MRD;
-    TxCb->RetryExp     = Dhcp6CalculateExpireTime (
-                           TxCb->RetryCtl.Irt,
-                           TRUE,
-                           TRUE
-                           );
-    break;
-
-  case Dhcp6MsgRenew:
-    //
-    // Calculate the retransmission threshold value for renew packet.
-    //
-    TxCb->RetryCtl.Irt = DHCP6_REB_IRT;
-    TxCb->RetryCtl.Mrc = DHCP6_REB_MRC;
-    TxCb->RetryCtl.Mrt = DHCP6_REB_MRT;
-    TxCb->RetryCtl.Mrd = IaCb->T2 - IaCb->T1;
-    TxCb->RetryExp     = Dhcp6CalculateExpireTime (
-                           TxCb->RetryCtl.Irt,
-                           TRUE,
-                           TRUE
-                           );
-    break;
+      break;
 
-  case Dhcp6MsgRebind:
-    //
-    // Calculate the retransmission threshold value for rebind packet.
-    //
-    TxCb->RetryCtl.Irt = DHCP6_REN_IRT;
-    TxCb->RetryCtl.Mrc = DHCP6_REN_MRC;
-    TxCb->RetryCtl.Mrt = DHCP6_REN_MRT;
-    TxCb->RetryCtl.Mrd = IaCb->AllExpireTime - IaCb->T2;
-    TxCb->RetryExp     = Dhcp6CalculateExpireTime (
-                           TxCb->RetryCtl.Irt,
-                           TRUE,
-                           TRUE
-                           );
-    break;
+    case Dhcp6MsgConfirm:
+      //
+      // Calculate the retransmission threshold value for confirm packet.
+      //
+      TxCb->RetryCtl.Irt = DHCP6_CNF_IRT;
+      TxCb->RetryCtl.Mrc = DHCP6_CNF_MRC;
+      TxCb->RetryCtl.Mrt = DHCP6_CNF_MRT;
+      TxCb->RetryCtl.Mrd = DHCP6_CNF_MRD;
+      TxCb->RetryExp     = Dhcp6CalculateExpireTime (
+                             TxCb->RetryCtl.Irt,
+                             TRUE,
+                             TRUE
+                             );
+      break;
 
-  case Dhcp6MsgDecline:
-    //
-    // Calculate the retransmission threshold value for decline packet.
-    //
-    TxCb->RetryCtl.Irt = DHCP6_DEC_IRT;
-    TxCb->RetryCtl.Mrc = DHCP6_DEC_MRC;
-    TxCb->RetryCtl.Mrt = DHCP6_DEC_MRT;
-    TxCb->RetryCtl.Mrd = DHCP6_DEC_MRD;
-    TxCb->RetryExp     = Dhcp6CalculateExpireTime (
-                           TxCb->RetryCtl.Irt,
-                           TRUE,
-                           TRUE
-                           );
-    break;
+    case Dhcp6MsgRenew:
+      //
+      // Calculate the retransmission threshold value for renew packet.
+      //
+      TxCb->RetryCtl.Irt = DHCP6_REB_IRT;
+      TxCb->RetryCtl.Mrc = DHCP6_REB_MRC;
+      TxCb->RetryCtl.Mrt = DHCP6_REB_MRT;
+      TxCb->RetryCtl.Mrd = IaCb->T2 - IaCb->T1;
+      TxCb->RetryExp     = Dhcp6CalculateExpireTime (
+                             TxCb->RetryCtl.Irt,
+                             TRUE,
+                             TRUE
+                             );
+      break;
 
-  case Dhcp6MsgRelease:
-    //
-    // Calculate the retransmission threshold value for release packet.
-    //
-    TxCb->RetryCtl.Irt = DHCP6_REL_IRT;
-    TxCb->RetryCtl.Mrc = DHCP6_REL_MRC;
-    TxCb->RetryCtl.Mrt = DHCP6_REL_MRT;
-    TxCb->RetryCtl.Mrd = DHCP6_REL_MRD;
-    TxCb->RetryExp     = Dhcp6CalculateExpireTime (
-                           TxCb->RetryCtl.Irt,
-                           TRUE,
-                           TRUE
-                           );
-    break;
+    case Dhcp6MsgRebind:
+      //
+      // Calculate the retransmission threshold value for rebind packet.
+      //
+      TxCb->RetryCtl.Irt = DHCP6_REN_IRT;
+      TxCb->RetryCtl.Mrc = DHCP6_REN_MRC;
+      TxCb->RetryCtl.Mrt = DHCP6_REN_MRT;
+      TxCb->RetryCtl.Mrd = IaCb->AllExpireTime - IaCb->T2;
+      TxCb->RetryExp     = Dhcp6CalculateExpireTime (
+                             TxCb->RetryCtl.Irt,
+                             TRUE,
+                             TRUE
+                             );
+      break;
 
-  case Dhcp6MsgInfoRequest:
-    //
-    // Calculate the retransmission threshold value for info-request packet.
-    // Use the default value by rfc-3315 if user doesn't configure.
-    //
-    if (RetryCtl == NULL) {
-      TxCb->RetryCtl.Irt = DHCP6_INF_IRT;
-      TxCb->RetryCtl.Mrc = DHCP6_INF_MRC;
-      TxCb->RetryCtl.Mrt = DHCP6_INF_MRT;
-      TxCb->RetryCtl.Mrd = DHCP6_INF_MRD;
-    } else {
-      TxCb->RetryCtl.Irt = (RetryCtl->Irt != 0) ? RetryCtl->Irt : DHCP6_INF_IRT;
-      TxCb->RetryCtl.Mrc = (RetryCtl->Mrc != 0) ? RetryCtl->Mrc : DHCP6_INF_MRC;
-      TxCb->RetryCtl.Mrt = (RetryCtl->Mrt != 0) ? RetryCtl->Mrt : DHCP6_INF_MRT;
-      TxCb->RetryCtl.Mrd = (RetryCtl->Mrd != 0) ? RetryCtl->Mrd : DHCP6_INF_MRD;
-    }
+    case Dhcp6MsgDecline:
+      //
+      // Calculate the retransmission threshold value for decline packet.
+      //
+      TxCb->RetryCtl.Irt = DHCP6_DEC_IRT;
+      TxCb->RetryCtl.Mrc = DHCP6_DEC_MRC;
+      TxCb->RetryCtl.Mrt = DHCP6_DEC_MRT;
+      TxCb->RetryCtl.Mrd = DHCP6_DEC_MRD;
+      TxCb->RetryExp     = Dhcp6CalculateExpireTime (
+                             TxCb->RetryCtl.Irt,
+                             TRUE,
+                             TRUE
+                             );
+      break;
 
-    TxCb->RetryExp       = Dhcp6CalculateExpireTime (
+    case Dhcp6MsgRelease:
+      //
+      // Calculate the retransmission threshold value for release packet.
+      //
+      TxCb->RetryCtl.Irt = DHCP6_REL_IRT;
+      TxCb->RetryCtl.Mrc = DHCP6_REL_MRC;
+      TxCb->RetryCtl.Mrt = DHCP6_REL_MRT;
+      TxCb->RetryCtl.Mrd = DHCP6_REL_MRD;
+      TxCb->RetryExp     = Dhcp6CalculateExpireTime (
                              TxCb->RetryCtl.Irt,
                              TRUE,
                              TRUE
                              );
-    break;
+      break;
 
-  default:
-    //
-    // Unexpected message type.
-    //
-    FreePool(TxCb);
-    return EFI_DEVICE_ERROR;
+    case Dhcp6MsgInfoRequest:
+      //
+      // Calculate the retransmission threshold value for info-request packet.
+      // Use the default value by rfc-3315 if user doesn't configure.
+      //
+      if (RetryCtl == NULL) {
+        TxCb->RetryCtl.Irt = DHCP6_INF_IRT;
+        TxCb->RetryCtl.Mrc = DHCP6_INF_MRC;
+        TxCb->RetryCtl.Mrt = DHCP6_INF_MRT;
+        TxCb->RetryCtl.Mrd = DHCP6_INF_MRD;
+      } else {
+        TxCb->RetryCtl.Irt = (RetryCtl->Irt != 0) ? RetryCtl->Irt : DHCP6_INF_IRT;
+        TxCb->RetryCtl.Mrc = (RetryCtl->Mrc != 0) ? RetryCtl->Mrc : DHCP6_INF_MRC;
+        TxCb->RetryCtl.Mrt = (RetryCtl->Mrt != 0) ? RetryCtl->Mrt : DHCP6_INF_MRT;
+        TxCb->RetryCtl.Mrd = (RetryCtl->Mrd != 0) ? RetryCtl->Mrd : DHCP6_INF_MRD;
+      }
+
+      TxCb->RetryExp = Dhcp6CalculateExpireTime (
+                         TxCb->RetryCtl.Irt,
+                         TRUE,
+                         TRUE
+                         );
+      break;
+
+    default:
+      //
+      // Unexpected message type.
+      //
+      FreePool (TxCb);
+      return EFI_DEVICE_ERROR;
   }
 
   //
@@ -215,7 +214,6 @@ Dhcp6EnqueueRetry (
   return EFI_SUCCESS;
 }
 
-
 /**
   Dequeue the packet from retry list if reply received or timeout at last.
 
@@ -230,40 +228,36 @@ Dhcp6EnqueueRetry (
 **/
 EFI_STATUS
 Dhcp6DequeueRetry (
-  IN DHCP6_INSTANCE         *Instance,
-  IN UINT32                 PacketXid,
-  IN BOOLEAN                NeedSignal
+  IN DHCP6_INSTANCE  *Instance,
+  IN UINT32          PacketXid,
+  IN BOOLEAN         NeedSignal
   )
 {
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *NextEntry;
-  DHCP6_TX_CB               *TxCb;
-  DHCP6_INF_CB              *InfCb;
+  LIST_ENTRY    *Entry;
+  LIST_ENTRY    *NextEntry;
+  DHCP6_TX_CB   *TxCb;
+  DHCP6_INF_CB  *InfCb;
 
   //
   // Seek the retransmit node in the retransmit list by packet xid.
   //
   NET_LIST_FOR_EACH_SAFE (Entry, NextEntry, &Instance->TxList) {
-
     TxCb = NET_LIST_USER_STRUCT (Entry, DHCP6_TX_CB, Link);
-    ASSERT(TxCb->TxPacket);
+    ASSERT (TxCb->TxPacket);
 
     if (TxCb->Xid == PacketXid) {
-
       if (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgInfoRequest) {
-
         //
         // Seek the info-request node in the info-request list by packet xid.
         //
         NET_LIST_FOR_EACH_SAFE (Entry, NextEntry, &Instance->InfList) {
-
           InfCb = NET_LIST_USER_STRUCT (Entry, DHCP6_INF_CB, Link);
 
           if (InfCb->Xid == PacketXid) {
             //
             // Remove the info-request node, and signal the event if timeout.
             //
-            if (InfCb->TimeoutEvent != NULL && NeedSignal) {
+            if ((InfCb->TimeoutEvent != NULL) && NeedSignal) {
               gBS->SignalEvent (InfCb->TimeoutEvent);
             }
 
@@ -272,11 +266,12 @@ Dhcp6DequeueRetry (
           }
         }
       }
+
       //
       // Remove the retransmit node.
       //
       RemoveEntryList (&TxCb->Link);
-      ASSERT(TxCb->TxPacket);
+      ASSERT (TxCb->TxPacket);
       FreePool (TxCb->TxPacket);
       FreePool (TxCb);
       return EFI_SUCCESS;
@@ -286,7 +281,6 @@ Dhcp6DequeueRetry (
   return EFI_NOT_FOUND;
 }
 
-
 /**
   Clean up the specific nodes in the retry list.
 
@@ -296,24 +290,22 @@ Dhcp6DequeueRetry (
 **/
 VOID
 Dhcp6CleanupRetry (
-  IN DHCP6_INSTANCE         *Instance,
-  IN UINT32                 Scope
+  IN DHCP6_INSTANCE  *Instance,
+  IN UINT32          Scope
   )
 {
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *NextEntry;
-  DHCP6_TX_CB               *TxCb;
-  DHCP6_INF_CB              *InfCb;
+  LIST_ENTRY    *Entry;
+  LIST_ENTRY    *NextEntry;
+  DHCP6_TX_CB   *TxCb;
+  DHCP6_INF_CB  *InfCb;
 
   //
   // Clean up all the stateful messages from the retransmit list.
   //
-  if (Scope == DHCP6_PACKET_STATEFUL || Scope == DHCP6_PACKET_ALL) {
-
+  if ((Scope == DHCP6_PACKET_STATEFUL) || (Scope == DHCP6_PACKET_ALL)) {
     NET_LIST_FOR_EACH_SAFE (Entry, NextEntry, &Instance->TxList) {
-
       TxCb = NET_LIST_USER_STRUCT (Entry, DHCP6_TX_CB, Link);
-      ASSERT(TxCb->TxPacket);
+      ASSERT (TxCb->TxPacket);
 
       if (TxCb->TxPacket->Dhcp6.Header.MessageType != Dhcp6MsgInfoRequest) {
         RemoveEntryList (&TxCb->Link);
@@ -326,15 +318,13 @@ Dhcp6CleanupRetry (
   //
   // Clean up all the stateless messages from the retransmit list.
   //
-  if (Scope == DHCP6_PACKET_STATELESS || Scope == DHCP6_PACKET_ALL) {
-
+  if ((Scope == DHCP6_PACKET_STATELESS) || (Scope == DHCP6_PACKET_ALL)) {
     //
     // Clean up all the retransmit list for stateless messages.
     //
     NET_LIST_FOR_EACH_SAFE (Entry, NextEntry, &Instance->TxList) {
-
       TxCb = NET_LIST_USER_STRUCT (Entry, DHCP6_TX_CB, Link);
-      ASSERT(TxCb->TxPacket);
+      ASSERT (TxCb->TxPacket);
 
       if (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgInfoRequest) {
         RemoveEntryList (&TxCb->Link);
@@ -347,12 +337,12 @@ Dhcp6CleanupRetry (
     // Clean up all the info-request messages list.
     //
     NET_LIST_FOR_EACH_SAFE (Entry, NextEntry, &Instance->InfList) {
-
       InfCb = NET_LIST_USER_STRUCT (Entry, DHCP6_INF_CB, Link);
 
       if (InfCb->TimeoutEvent != NULL) {
         gBS->SignalEvent (InfCb->TimeoutEvent);
       }
+
       RemoveEntryList (&InfCb->Link);
       FreePool (InfCb);
     }
@@ -371,11 +361,11 @@ Dhcp6CleanupRetry (
 **/
 BOOLEAN
 Dhcp6IsValidTxCb (
-  IN  DHCP6_INSTANCE          *Instance,
-  IN  DHCP6_TX_CB             *TxCb
+  IN  DHCP6_INSTANCE  *Instance,
+  IN  DHCP6_TX_CB     *TxCb
   )
 {
-  LIST_ENTRY                *Entry;
+  LIST_ENTRY  *Entry;
 
   NET_LIST_FOR_EACH (Entry, &Instance->TxList) {
     if (TxCb == NET_LIST_USER_STRUCT (Entry, DHCP6_TX_CB, Link)) {
@@ -395,15 +385,15 @@ Dhcp6IsValidTxCb (
 **/
 VOID
 Dhcp6CleanupSession (
-  IN OUT DHCP6_INSTANCE          *Instance,
-  IN     EFI_STATUS              Status
+  IN OUT DHCP6_INSTANCE  *Instance,
+  IN     EFI_STATUS      Status
   )
 {
-  UINTN                          Index;
-  EFI_DHCP6_IA                   *Ia;
+  UINTN         Index;
+  EFI_DHCP6_IA  *Ia;
 
-  ASSERT(Instance->Config);
-  ASSERT(Instance->IaCb.Ia);
+  ASSERT (Instance->Config);
+  ASSERT (Instance->IaCb.Ia);
 
   //
   // Clean up the retransmit list for stateful messages.
@@ -425,23 +415,23 @@ Dhcp6CleanupSession (
   //
   // Reinitialize the Ia fields of the instance.
   //
-  Instance->UdpSts                  = Status;
-  Instance->AdSelect                = NULL;
-  Instance->AdPref                  = 0;
-  Instance->Unicast                 = NULL;
-  Instance->IaCb.T1                 = 0;
-  Instance->IaCb.T2                 = 0;
-  Instance->IaCb.AllExpireTime      = 0;
-  Instance->IaCb.LeaseTime          = 0;
+  Instance->UdpSts             = Status;
+  Instance->AdSelect           = NULL;
+  Instance->AdPref             = 0;
+  Instance->Unicast            = NULL;
+  Instance->IaCb.T1            = 0;
+  Instance->IaCb.T2            = 0;
+  Instance->IaCb.AllExpireTime = 0;
+  Instance->IaCb.LeaseTime     = 0;
 
   //
   // Clear start time
   //
-  Instance->StartTime               = 0;
+  Instance->StartTime = 0;
 
-  Ia                                = Instance->IaCb.Ia;
-  Ia->State                         = Dhcp6Init;
-  Ia->ReplyPacket                   = NULL;
+  Ia              = Instance->IaCb.Ia;
+  Ia->State       = Dhcp6Init;
+  Ia->ReplyPacket = NULL;
 
   //
   // Set the addresses as zero lifetime, and then the notify
@@ -461,7 +451,6 @@ Dhcp6CleanupSession (
   }
 }
 
-
 /**
   Callback to user when Dhcp6 transmit/receive occurs.
 
@@ -477,15 +466,15 @@ Dhcp6CleanupSession (
 EFI_STATUS
 EFIAPI
 Dhcp6CallbackUser (
-  IN     DHCP6_INSTANCE       *Instance,
-  IN     EFI_DHCP6_EVENT      Event,
-  IN OUT EFI_DHCP6_PACKET     **Packet
+  IN     DHCP6_INSTANCE    *Instance,
+  IN     EFI_DHCP6_EVENT   Event,
+  IN OUT EFI_DHCP6_PACKET  **Packet
   )
 {
-  EFI_STATUS                  Status;
-  EFI_DHCP6_PACKET            *NewPacket;
-  EFI_DHCP6_CALLBACK          Callback;
-  VOID                        *Context;
+  EFI_STATUS          Status;
+  EFI_DHCP6_PACKET    *NewPacket;
+  EFI_DHCP6_CALLBACK  Callback;
+  VOID                *Context;
 
   ASSERT (Packet != NULL);
   ASSERT (Instance->Config != NULL);
@@ -500,7 +489,6 @@ Dhcp6CallbackUser (
   // Callback to user with the new message if has.
   //
   if (Callback != NULL) {
-
     Status = Callback (
                &Instance->Dhcp6,
                Context,
@@ -522,7 +510,6 @@ Dhcp6CallbackUser (
   return Status;
 }
 
-
 /**
   Update Ia according to the new reply message.
 
@@ -535,17 +522,17 @@ Dhcp6CallbackUser (
 **/
 EFI_STATUS
 Dhcp6UpdateIaInfo (
-  IN OUT DHCP6_INSTANCE           *Instance,
-  IN     EFI_DHCP6_PACKET         *Packet
+  IN OUT DHCP6_INSTANCE    *Instance,
+  IN     EFI_DHCP6_PACKET  *Packet
   )
 {
-  EFI_STATUS                  Status;
-  UINT8                       *Option;
-  UINT8                       *IaInnerOpt;
-  UINT16                      IaInnerLen;
-  UINT16                      StsCode;
-  UINT32                      T1;
-  UINT32                      T2;
+  EFI_STATUS  Status;
+  UINT8       *Option;
+  UINT8       *IaInnerOpt;
+  UINT16      IaInnerLen;
+  UINT16      StsCode;
+  UINT32      T1;
+  UINT32      T2;
 
   ASSERT (Instance->Config != NULL);
   //
@@ -611,23 +598,24 @@ Dhcp6UpdateIaInfo (
   // The inner options still start with 2 bytes option-code and 2 bytes option-len.
   //
   if (Instance->Config->IaDescriptor.Type == Dhcp6OptIana) {
-    T1 = NTOHL (ReadUnaligned32 ((UINT32 *) (Option + 8)));
-    T2 = NTOHL (ReadUnaligned32 ((UINT32 *) (Option + 12)));
+    T1 = NTOHL (ReadUnaligned32 ((UINT32 *)(Option + 8)));
+    T2 = NTOHL (ReadUnaligned32 ((UINT32 *)(Option + 12)));
     //
     // Refer to RFC3155 Chapter 22.4. If a client receives an IA_NA with T1 greater than T2,
     // and both T1 and T2 are greater than 0, the client discards the IA_NA option and processes
     // the remainder of the message as though the server had not  included the invalid IA_NA option.
     //
-    if (T1 > T2 && T2 > 0) {
+    if ((T1 > T2) && (T2 > 0)) {
       return EFI_DEVICE_ERROR;
     }
+
     IaInnerOpt = Option + 16;
-    IaInnerLen = (UINT16) (NTOHS (ReadUnaligned16 ((UINT16 *) (Option + 2))) - 12);
+    IaInnerLen = (UINT16)(NTOHS (ReadUnaligned16 ((UINT16 *)(Option + 2))) - 12);
   } else {
-    T1 = 0;
-    T2 = 0;
+    T1         = 0;
+    T2         = 0;
     IaInnerOpt = Option + 8;
-    IaInnerLen = (UINT16) (NTOHS (ReadUnaligned16 ((UINT16 *) (Option + 2))) - 4);
+    IaInnerLen = (UINT16)(NTOHS (ReadUnaligned16 ((UINT16 *)(Option + 2))) - 4);
   }
 
   //
@@ -653,7 +641,7 @@ Dhcp6UpdateIaInfo (
   Option  = Dhcp6SeekOption (IaInnerOpt, IaInnerLen, Dhcp6OptStatusCode);
 
   if (Option != NULL) {
-    StsCode = NTOHS (ReadUnaligned16 ((UINT16 *) (Option + 4)));
+    StsCode = NTOHS (ReadUnaligned16 ((UINT16 *)(Option + 4)));
     if (StsCode != Dhcp6StsSuccess) {
       return EFI_DEVICE_ERROR;
     }
@@ -673,8 +661,6 @@ Dhcp6UpdateIaInfo (
   return Status;
 }
 
-
-
 /**
   Seek StatusCode Option in package. A Status Code option may appear in the
   options field of a DHCP message and/or in the options field of another option.
@@ -690,14 +676,14 @@ Dhcp6UpdateIaInfo (
 **/
 EFI_STATUS
 Dhcp6SeekStsOption (
-  IN     DHCP6_INSTANCE           *Instance,
-  IN     EFI_DHCP6_PACKET         *Packet,
-  OUT    UINT8                    **Option
+  IN     DHCP6_INSTANCE    *Instance,
+  IN     EFI_DHCP6_PACKET  *Packet,
+  OUT    UINT8             **Option
   )
 {
-  UINT8                       *IaInnerOpt;
-  UINT16                      IaInnerLen;
-  UINT16                      StsCode;
+  UINT8   *IaInnerOpt;
+  UINT16  IaInnerLen;
+  UINT16  StsCode;
 
   //
   // Seek StatusCode option directly in DHCP message body. That is, search in
@@ -710,7 +696,7 @@ Dhcp6SeekStsOption (
               );
 
   if (*Option != NULL) {
-    StsCode = NTOHS (ReadUnaligned16 ((UINT16 *) (*Option + 4)));
+    StsCode = NTOHS (ReadUnaligned16 ((UINT16 *)(*Option + 4)));
     if (StsCode != Dhcp6StsSuccess) {
       return EFI_DEVICE_ERROR;
     }
@@ -771,10 +757,10 @@ Dhcp6SeekStsOption (
   //
   if (Instance->Config->IaDescriptor.Type == Dhcp6OptIana) {
     IaInnerOpt = *Option + 16;
-    IaInnerLen = (UINT16) (NTOHS (ReadUnaligned16 ((UINT16 *) (*Option + 2))) - 12);
+    IaInnerLen = (UINT16)(NTOHS (ReadUnaligned16 ((UINT16 *)(*Option + 2))) - 12);
   } else {
     IaInnerOpt = *Option + 8;
-    IaInnerLen = (UINT16) (NTOHS (ReadUnaligned16 ((UINT16 *) (*Option + 2))) - 4);
+    IaInnerLen = (UINT16)(NTOHS (ReadUnaligned16 ((UINT16 *)(*Option + 2))) - 4);
   }
 
   //
@@ -796,9 +782,9 @@ Dhcp6SeekStsOption (
   //
   // sizeof (option-code + option-len) = 4
   //
-  *Option  = Dhcp6SeekOption (IaInnerOpt, IaInnerLen, Dhcp6OptStatusCode);
+  *Option = Dhcp6SeekOption (IaInnerOpt, IaInnerLen, Dhcp6OptStatusCode);
   if (*Option != NULL) {
-    StsCode = NTOHS (ReadUnaligned16 ((UINT16 *) (*Option + 4)));
+    StsCode = NTOHS (ReadUnaligned16 ((UINT16 *)(*Option + 4)));
     if (StsCode != Dhcp6StsSuccess) {
       return EFI_DEVICE_ERROR;
     }
@@ -807,7 +793,6 @@ Dhcp6SeekStsOption (
   return EFI_SUCCESS;
 }
 
-
 /**
   Transmit Dhcp6 message by udpio.
 
@@ -822,23 +807,23 @@ Dhcp6SeekStsOption (
 **/
 EFI_STATUS
 Dhcp6TransmitPacket (
-  IN DHCP6_INSTANCE         *Instance,
-  IN EFI_DHCP6_PACKET       *Packet,
-  IN UINT16                 *Elapsed
+  IN DHCP6_INSTANCE    *Instance,
+  IN EFI_DHCP6_PACKET  *Packet,
+  IN UINT16            *Elapsed
   )
 {
-  EFI_STATUS                Status;
-  NET_BUF                   *Wrap;
-  NET_FRAGMENT              Frag;
-  UDP_END_POINT             EndPt;
-  DHCP6_SERVICE             *Service;
+  EFI_STATUS     Status;
+  NET_BUF        *Wrap;
+  NET_FRAGMENT   Frag;
+  UDP_END_POINT  EndPt;
+  DHCP6_SERVICE  *Service;
 
   Service = Instance->Service;
 
   //
   // Wrap it into a netbuf then send it.
   //
-  Frag.Bulk = (UINT8 *) &Packet->Dhcp6.Header;
+  Frag.Bulk = (UINT8 *)&Packet->Dhcp6.Header;
   Frag.Len  = Packet->Length;
 
   //
@@ -899,7 +884,6 @@ Dhcp6TransmitPacket (
   return EFI_SUCCESS;
 }
 
-
 /**
   Create the solicit message and send it.
 
@@ -912,19 +896,19 @@ Dhcp6TransmitPacket (
 **/
 EFI_STATUS
 Dhcp6SendSolicitMsg   (
-  IN DHCP6_INSTANCE            *Instance
+  IN DHCP6_INSTANCE  *Instance
   )
 {
-  EFI_STATUS                   Status;
-  EFI_DHCP6_PACKET             *Packet;
-  EFI_DHCP6_PACKET_OPTION      *UserOpt;
-  EFI_DHCP6_DUID               *ClientId;
-  DHCP6_SERVICE                *Service;
-  UINT8                        *Cursor;
-  UINT16                       *Elapsed;
-  UINT32                       UserLen;
-  UINTN                        Index;
-  UINT16                       Length;
+  EFI_STATUS               Status;
+  EFI_DHCP6_PACKET         *Packet;
+  EFI_DHCP6_PACKET_OPTION  *UserOpt;
+  EFI_DHCP6_DUID           *ClientId;
+  DHCP6_SERVICE            *Service;
+  UINT8                    *Cursor;
+  UINT16                   *Elapsed;
+  UINT32                   UserLen;
+  UINTN                    Index;
+  UINT16                   Length;
 
   Service  = Instance->Service;
   ClientId = Service->ClientId;
@@ -985,9 +969,8 @@ Dhcp6SendSolicitMsg   (
   // Append user-defined when configurate Dhcp6 service.
   //
   for (Index = 0; Index < Instance->Config->OptionCount; Index++) {
-
     UserOpt = Instance->Config->OptionList[Index];
-    Cursor  = Dhcp6AppendOption(
+    Cursor  = Dhcp6AppendOption (
                 Cursor,
                 UserOpt->OpCode,
                 UserOpt->OpLen,
@@ -998,7 +981,7 @@ Dhcp6SendSolicitMsg   (
   //
   // Determine the size/length of packet.
   //
-  Packet->Length += (UINT32) (Cursor - Packet->Dhcp6.Option);
+  Packet->Length += (UINT32)(Cursor - Packet->Dhcp6.Option);
   ASSERT (Packet->Size > Packet->Length + 8);
 
   //
@@ -1051,17 +1034,16 @@ Dhcp6SendSolicitMsg   (
 **/
 EFI_STATUS
 Dhcp6InitSolicitMsg   (
-  IN DHCP6_INSTANCE            *Instance
+  IN DHCP6_INSTANCE  *Instance
   )
 {
-  Instance->IaCb.T1 = 0;
-  Instance->IaCb.T2 = 0;
+  Instance->IaCb.T1                 = 0;
+  Instance->IaCb.T2                 = 0;
   Instance->IaCb.Ia->IaAddressCount = 0;
 
   return Dhcp6SendSolicitMsg (Instance);
 }
 
-
 /**
   Create the request message and send it.
 
@@ -1075,31 +1057,31 @@ Dhcp6InitSolicitMsg   (
 **/
 EFI_STATUS
 Dhcp6SendRequestMsg (
-  IN DHCP6_INSTANCE            *Instance
+  IN DHCP6_INSTANCE  *Instance
   )
 {
-  EFI_STATUS                   Status;
-  EFI_DHCP6_PACKET             *Packet;
-  EFI_DHCP6_PACKET_OPTION      *UserOpt;
-  EFI_DHCP6_DUID               *ClientId;
-  EFI_DHCP6_DUID               *ServerId;
-  DHCP6_SERVICE                *Service;
-  UINT8                        *Option;
-  UINT8                        *Cursor;
-  UINT16                       *Elapsed;
-  UINT32                       UserLen;
-  UINTN                        Index;
-  UINT16                       Length;
-
-  ASSERT(Instance->AdSelect != NULL);
-  ASSERT(Instance->Config != NULL);
-  ASSERT(Instance->IaCb.Ia != NULL);
-  ASSERT(Instance->Service != NULL);
+  EFI_STATUS               Status;
+  EFI_DHCP6_PACKET         *Packet;
+  EFI_DHCP6_PACKET_OPTION  *UserOpt;
+  EFI_DHCP6_DUID           *ClientId;
+  EFI_DHCP6_DUID           *ServerId;
+  DHCP6_SERVICE            *Service;
+  UINT8                    *Option;
+  UINT8                    *Cursor;
+  UINT16                   *Elapsed;
+  UINT32                   UserLen;
+  UINTN                    Index;
+  UINT16                   Length;
+
+  ASSERT (Instance->AdSelect != NULL);
+  ASSERT (Instance->Config != NULL);
+  ASSERT (Instance->IaCb.Ia != NULL);
+  ASSERT (Instance->Service != NULL);
 
   Service  = Instance->Service;
   ClientId = Service->ClientId;
 
-  ASSERT(ClientId != NULL);
+  ASSERT (ClientId != NULL);
 
   //
   // Get the server Id from the selected advertisement message.
@@ -1113,7 +1095,7 @@ Dhcp6SendRequestMsg (
     return EFI_DEVICE_ERROR;
   }
 
-  ServerId = (EFI_DHCP6_DUID *) (Option + 2);
+  ServerId = (EFI_DHCP6_DUID *)(Option + 2);
 
   //
   // Calculate the added length of customized option list.
@@ -1174,9 +1156,8 @@ Dhcp6SendRequestMsg (
   // Append user-defined when configurate Dhcp6 service.
   //
   for (Index = 0; Index < Instance->Config->OptionCount; Index++) {
-
     UserOpt = Instance->Config->OptionList[Index];
-    Cursor  = Dhcp6AppendOption(
+    Cursor  = Dhcp6AppendOption (
                 Cursor,
                 UserOpt->OpCode,
                 UserOpt->OpLen,
@@ -1187,7 +1168,7 @@ Dhcp6SendRequestMsg (
   //
   // Determine the size/length of packet.
   //
-  Packet->Length += (UINT32) (Cursor - Packet->Dhcp6.Option);
+  Packet->Length += (UINT32)(Cursor - Packet->Dhcp6.Option);
   ASSERT (Packet->Size > Packet->Length + 8);
 
   //
@@ -1223,7 +1204,6 @@ Dhcp6SendRequestMsg (
   return Dhcp6EnqueueRetry (Instance, Packet, Elapsed, NULL);
 }
 
-
 /**
   Create the decline message and send it.
 
@@ -1238,20 +1218,20 @@ Dhcp6SendRequestMsg (
 **/
 EFI_STATUS
 Dhcp6SendDeclineMsg (
-  IN DHCP6_INSTANCE            *Instance,
-  IN EFI_DHCP6_IA              *DecIa
+  IN DHCP6_INSTANCE  *Instance,
+  IN EFI_DHCP6_IA    *DecIa
   )
 {
-  EFI_STATUS                   Status;
-  EFI_DHCP6_PACKET             *Packet;
-  EFI_DHCP6_PACKET             *LastReply;
-  EFI_DHCP6_DUID               *ClientId;
-  EFI_DHCP6_DUID               *ServerId;
-  DHCP6_SERVICE                *Service;
-  UINT8                        *Option;
-  UINT8                        *Cursor;
-  UINT16                       *Elapsed;
-  UINT16                       Length;
+  EFI_STATUS        Status;
+  EFI_DHCP6_PACKET  *Packet;
+  EFI_DHCP6_PACKET  *LastReply;
+  EFI_DHCP6_DUID    *ClientId;
+  EFI_DHCP6_DUID    *ServerId;
+  DHCP6_SERVICE     *Service;
+  UINT8             *Option;
+  UINT8             *Cursor;
+  UINT16            *Elapsed;
+  UINT16            Length;
 
   ASSERT (Instance->Config != NULL);
   ASSERT (Instance->IaCb.Ia != NULL);
@@ -1279,7 +1259,7 @@ Dhcp6SendDeclineMsg (
   //
   // EFI_DHCP6_DUID contains a length field of 2 bytes.
   //
-  ServerId = (EFI_DHCP6_DUID *) (Option + 2);
+  ServerId = (EFI_DHCP6_DUID *)(Option + 2);
 
   //
   // Create the Dhcp6 packet and initialize common fields.
@@ -1325,7 +1305,7 @@ Dhcp6SendDeclineMsg (
   //
   // Determine the size/length of packet.
   //
-  Packet->Length += (UINT32) (Cursor - Packet->Dhcp6.Option);
+  Packet->Length += (UINT32)(Cursor - Packet->Dhcp6.Option);
   ASSERT (Packet->Size > Packet->Length + 8);
 
   //
@@ -1361,7 +1341,6 @@ Dhcp6SendDeclineMsg (
   return Dhcp6EnqueueRetry (Instance, Packet, Elapsed, NULL);
 }
 
-
 /**
   Create the release message and send it.
 
@@ -1376,30 +1355,30 @@ Dhcp6SendDeclineMsg (
 **/
 EFI_STATUS
 Dhcp6SendReleaseMsg (
-  IN DHCP6_INSTANCE            *Instance,
-  IN EFI_DHCP6_IA              *RelIa
+  IN DHCP6_INSTANCE  *Instance,
+  IN EFI_DHCP6_IA    *RelIa
   )
 {
-  EFI_STATUS                   Status;
-  EFI_DHCP6_PACKET             *Packet;
-  EFI_DHCP6_PACKET             *LastReply;
-  EFI_DHCP6_DUID               *ClientId;
-  EFI_DHCP6_DUID               *ServerId;
-  DHCP6_SERVICE                *Service;
-  UINT8                        *Option;
-  UINT8                        *Cursor;
-  UINT16                       *Elapsed;
-  UINT16                       Length;
-
-  ASSERT(Instance->Config);
-  ASSERT(Instance->IaCb.Ia);
+  EFI_STATUS        Status;
+  EFI_DHCP6_PACKET  *Packet;
+  EFI_DHCP6_PACKET  *LastReply;
+  EFI_DHCP6_DUID    *ClientId;
+  EFI_DHCP6_DUID    *ServerId;
+  DHCP6_SERVICE     *Service;
+  UINT8             *Option;
+  UINT8             *Cursor;
+  UINT16            *Elapsed;
+  UINT16            Length;
+
+  ASSERT (Instance->Config);
+  ASSERT (Instance->IaCb.Ia);
 
   Service   = Instance->Service;
   ClientId  = Service->ClientId;
   LastReply = Instance->IaCb.Ia->ReplyPacket;
 
-  ASSERT(ClientId);
-  ASSERT(LastReply);
+  ASSERT (ClientId);
+  ASSERT (LastReply);
 
   //
   // Get the server Id from the last reply message.
